import request from '@/utils/request'

// 查询中国行政区域列表
export function listCnarea(query) {
  return request({
    url: '/system/cnarea/list',
    method: 'get',
    params: query
  })
}

// 查询中国行政区域详细
export function getCnarea(id) {
  return request({
    url: '/system/cnarea/' + id,
    method: 'get'
  })
}

// 新增中国行政区域
export function addCnarea(data) {
  return request({
    url: '/system/cnarea',
    method: 'post',
    data: data
  })
}

// 修改中国行政区域
export function updateCnarea(data) {
  return request({
    url: '/system/cnarea',
    method: 'put',
    data: data
  })
}

// 删除中国行政区域
export function delCnarea(id) {
  return request({
    url: '/system/cnarea/' + id,
    method: 'delete'
  })
}
